package com.hmsoft.remote.rmi.buffer;

import java.nio.ByteBuffer;

/**
 * 
 * ChannelBufferFactory
 *
 */
public interface ChannelBufferFactory {

    ChannelBuffer getBuffer(int capacity);

    ChannelBuffer getBuffer(byte[] array, int offset, int length);

    ChannelBuffer getBuffer(ByteBuffer nioBuffer);

}
